ONEHOST(1)

NAME
onehost

SYNOPSIS
onehost command [args] [options]

OPTIONS
 -i, --im im_mad           Set the information driver for the host
 -v, --vm vmm_mad          Set the virtualization driver for the host
 -n, --net vnet_mad        Set the network driver for the host
 -c, --cluster id|name     Selects the cluster
 -l, --list x,y,z          Selects columns to display with list command
 -d, --delay x             Sets the delay in seconds for top command
 -x, --xml                 Show the resource in xml format
 -n, --numeric             Do not translate user and group IDs
 -k, --kilobytes           Show units in kilobytes
 --describe                Describe list columns
 -v, --verbose             Verbose mode
 -h, --help                Show this message
 -V, --version             Show version and copyright information

COMMANDS

•   create hostname

    Creates a new Host
    valid options: im, vm, net, cluster

•   delete range|hostid_list

    Deletes the given Host

•   enable range|hostid_list

    Enables the given Host

•   disable range|hostid_list

    Disables the given Host

•   update hostid [file]

    Update the template contents. If a path is not provided the editor will
    be launched to modify the current content.

•   sync

    Synchronizes probes in /var/lib/one/remotes ($ONE_LOCATION/var/remotes
    in self-contained installations) with Hosts.
    The copy is performed the next time the Host is monitored

•   list

    Lists Hosts in the pool
    valid options: list, delay, xml, numeric, kilobytes, describe

•   show hostid

    Shows information for the given Host
    valid options: xml

•   top

    Lists Hosts continuously
    valid options: list, delay, xml, numeric, kilobytes

•   flush range|hostid_list

    Disables the host and reschedules all the running VMs in it.

ARGUMENT FORMATS

•   file

    Path to a file

•   range

    List of id's in the form 1,8..15

•   text

    String

•   hostid

    OpenNebula HOST name or id

•   hostid_list

    Comma-separated list of OpenNebula HOST names or ids

LICENSE
OpenNebula 3.8.1 Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0